export var createBlockTaskItem = function createBlockTaskItem(_ref) {
  var attrs = _ref.attrs,
    content = _ref.content,
    marks = _ref.marks,
    schema = _ref.schema;
  var _schema$nodes = schema.nodes,
    blockTaskItem = _schema$nodes.blockTaskItem,
    paragraph = _schema$nodes.paragraph;
  var newParagraph = paragraph.createChecked(null, content, marks === null || marks === void 0 ? void 0 : marks.filter(function (mark) {
    return blockTaskItem.allowsMarkType(mark.type);
  }));
  return blockTaskItem.create(attrs !== null && attrs !== void 0 ? attrs : null, newParagraph);
};